Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::CharFilter Class Reference

Subclasses of CharFilter can be chained to filter CharStream. They can be used as Reader with additional offset correction. Tokenizers will automatically use correctOffset if a CharFilter/CharStream subclass is used. More...

`#include <CharFilter.h>`

Inheritance diagram for Lucene::CharFilter:

## Public Member Functions

virtual | ~CharFilter ()
virtual String | getClassName ()
boost::shared_ptr< CharFilter > | shared_from_this ()
Public Member Functions inherited from Lucene::CharStream
virtual | ~CharStream ()
boost::shared_ptr< CharStream > | shared_from_this ()
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character. More...
virtual int64_t | skip (int64_t n)
| Skip characters. More...
virtual int64_t | length ()
| The number of bytes in the stream. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::CharStream
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Protected Member Functions

| CharFilter (CharStreamPtr in)
virtual int32_t | correct (int32_t currentOff)
| Subclass may want to override to correct the current offset. More...
virtual int32_t | correctOffset (int32_t currentOff)
| Chains the corrected offset through the input CharFilter. More...
virtual void | close ()
| Close the stream. More...
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)
| Read characters into a portion of an array. More...
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation. More...
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. More...
virtual void | reset ()
| Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point. More...

## Protected Attributes

CharStreamPtr | input

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF

## Detailed Description

Subclasses of CharFilter can be chained to filter CharStream. They can be used as Reader with additional offset correction. Tokenizers will automatically use correctOffset if a CharFilter/CharStream subclass is used.

## Constructor & Destructor Documentation

Lucene::CharFilter::CharFilter | ( | CharStreamPtr | in) |  |

protected

virtual Lucene::CharFilter::~CharFilter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::CharFilter::_getClassName | ( | ) |  |

inline static

virtual void Lucene::CharFilter::close | ( | ) |  |

protected virtual

Close the stream.

Implements Lucene::Reader.

virtual int32_t Lucene::CharFilter::correct | ( | int32_t | currentOff) |  |

protected virtual

Subclass may want to override to correct the current offset.

Parameters

  currentOff | current offset

Returns
  corrected offset

Reimplemented in Lucene::BaseCharFilter.

virtual int32_t Lucene::CharFilter::correctOffset | ( | int32_t | currentOff) |  |

protected virtual

Chains the corrected offset through the input CharFilter.

Implements Lucene::CharStream.

virtual String Lucene::CharFilter::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::CharStream.

Reimplemented in Lucene::MappingCharFilter, and Lucene::BaseCharFilter.

virtual void Lucene::CharFilter::mark | ( | int32_t | readAheadLimit) |  |

protected virtual

Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.

Reimplemented from Lucene::Reader.

virtual bool Lucene::CharFilter::markSupported | ( | ) |  |

protected virtual

Tell whether this stream supports the mark() operation.

Reimplemented from Lucene::Reader.

virtual int32_t Lucene::CharFilter::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

protected virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

Reimplemented in Lucene::MappingCharFilter.

virtual void Lucene::CharFilter::reset | ( | ) |  |

protected virtual

Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point.

Reimplemented from Lucene::Reader.

boost::shared_ptr< CharFilter > Lucene::CharFilter::shared_from_this | ( | ) |  |

inline

## Field Documentation

CharStreamPtr Lucene::CharFilter::input

protected

The documentation for this class was generated from the following file:

- CharFilter.h

clucene.sourceforge.net